Comment réparer l’autocompletion sous Zend Studio 7 et 8 sur Ubuntu

Zend Studio 8

Zend Studio 8

Alors si comme moi vous codez en Php sous l’IDE Zend Studio 7 ou 8 sur votre système Ubuntu, vous devez certainement trouver ce logiciel indispensable.

En effet, pour en avoir testé quelques uns, je trouve que cet IDE est vraiment le plus abouti pour développer en Php :

 

  • refactoring
  • autocompletion
  • intégration de fonctionnalités Zend Framework
  • autocompletion de JQuery
  • intégration avec VMWare Workstation
  • fonctionnalités de débuggage grâ à Zend Server
  • etc …

Cependant, sur certaines versions de cet IDE sur Ubuntu, l’autocompletion des méthodes, noms de classes, namespaces, etc … ne fonctione plus. Chose dérangeante vous me direz puisque c’est ce qu’on attend comme fonctionalité de base d’un IDE de ce calibre.

Alors voici comment faire pour refaire fonctionner cette autocompletion.

  1. Tout d’abord, éteignez votre Zend Studio
  2. Allez dans le répertoire de votre workspacepuis descendez dans l’arborescence jusqu’à trouver le fichier de préférences :
    cd /votre_workspace_dir/.metadata/.plugins/org.eclipse.core.runtime/.settings/
  3. Puis supprimer le fichier « org.eclipse.dltk.ui.prefs » :
    rm org.eclipse.dltk.ui.prefs
  4. Redémarrez votre Zend Studio et vous devriez de nouveau avoir l’auto complétion qui fonctionne !


Vous pouvez répondre, ou faire un trackback depuis votre propre site web.

2 Réponses sur “Comment réparer l’autocompletion sous Zend Studio 7 et 8 sur Ubuntu”

  1. Bobby dit :

    Bonjour Michel,

    Je souhaiterai savoir si vous avez déjà fait fonctionné un prestashop sous Zend studio ? Si non, avez vous déjà fait fonctionné prestashop avec un ide php et si oui, lequel ? (Je m’intéresse essentiellement à la fonction de debugger).

    Là où pour d’autres langages tels que le java la question de l’ide semble évidente, j’ai dû mal à trouver la réponse en ce qui concerne prestashop et le php. C’est à se demander comment les « prestashop-men » ont fait pour développer cet outil puissant avec de simples éditeurs de texte …

    Merci pour votre réponse.

    • Michel dit :

      Désolé de la réponse si tardive … C’est en validant un commentaire que je me suis rendu compte que j’en avais en attente depuis très longtemps …
      Je réponds quand même au cas ou tu n’aurais pas trouvé d’IDE pour développer en Php et pour Prestashop en particulier.
      L’IDE que j’utilise est bien Zend Studio et cela depuis plus de 4 ans. La version que j’utilise actuellement est la 9.0 qui a tout ce qu’il faut pour pouvoir écrire, tester et debugger du Php, peut importe le framework que tu utilises (Symfony 2, ZF2 ou autre). C’est une surcouche d’Eclipse développé par la société Zend sur laquelle le dev Php est vraiment particulièrement bien adapté. (puisque développé par des Experts Php)
      Sinon tu as aussi PhpStorm qui ces dernier temps prend pas mal de part de marchés et qui me paraît un peu moins lourd que Zend et que j’utilise de temps en temps. Sa licence n’est pas excessive pour un usage personnel et il répondra très bien à test attentes de développement pour Prestashop il me semble.
      Si tu es sur Mac, tu pourras aussi regarder du côté de TextMate qui est l’IDE préféré des dev Symfony 2 :)

      Voilà en espérant avoir répondu à ta question …
      Michel

Donner votre avis